<?php
//ini_set("error_reporting",E_ALL);
require('../fpdf.php');

class PDF extends FPDF
{
var $B;
var $I;
var $U;
var $HREF;


function WriteHTML($html)
{
        //HTML parser
        $html=str_replace("\n",' ',$html);
        $a=preg_split('/<(.*)>/U',$html,-1,PREG_SPLIT_DELIM_CAPTURE);
        foreach($a as $i=>$e)
        {
                if($i%2==0)
                {
                        //Text
                        if($this->HREF)
                                $this->PutLink($this->HREF,$e);
                        else
                                $this->Write(5,$e);
//                              $this->Cell(180,5,$e,1,2,'J');
                }
                else
                {
                        //Tag
                        if($e{0}=='/')
                                $this->CloseTag(strtoupper(substr($e,1)));
                        else
                        {
                                //Extract attributes
                                $a2=explode(' ',$e);
                                $tag=strtoupper(array_shift($a2));
                                $attr=array();
                                foreach($a2 as $v)
                                        if(ereg('^([^=]*)=["\']?([^"\']*)["\']?$',$v,$a3))
                                                $attr[strtoupper($a3[1])]=$a3[2];
                                $this->OpenTag($tag,$attr);
                        }
                }
        }
}

function OpenTag($tag,$attr)
{
        //Opening tag
        if($tag=='B' or $tag=='I' or $tag=='U')
                $this->SetStyle($tag,true);
        if($tag=='A')
                $this->HREF=$attr['HREF'];
        if($tag=='BR')
                $this->Ln(5);
}

function CloseTag($tag)
{
        //Closing tag
        if($tag=='B' or $tag=='I' or $tag=='U')
                $this->SetStyle($tag,false);
        if($tag=='A')
                $this->HREF='';
}

function SetStyle($tag,$enable)
{
        //Modify style and select corresponding font
        $this->$tag+=($enable ? 1 : -1);
        $style='';
        foreach(array('B','I','U') as $s)
                if($this->$s>0)
                        $style.=$s;
        $this->SetFont('',$style);
}

function PutLink($URL,$txt)
{
        //Put a hyperlink
        $this->SetTextColor(0,0,255);
        $this->SetStyle('U',true);
        $this->Write(5,$txt,$URL);
        $this->SetStyle('U',false);
        $this->SetTextColor(0);
}
//Page header
function Header2($texto)
{
        //Logo
        $this->Image('../logo_colegio.png',10,8,20);
        $this->Image('../logo_colegio2.png',180,8,18);
        //Arial bold 15
        $this->SetFont('Arial','B',15);
        //Move to the right
        $this->Cell(80);
        //Title
        $this->Cell(30,10,$texto,0,0,'C');
        //Line break
        $this->Ln(20);
}

//Page footer
function Footer2()
{
        //Position at 1.5 cm from bottom
        $this->SetY(-15);
        //Arial italic 8
        $this->SetFont('Arial','I',8);
        //Page number
//        $this->Cell(0,10,'Pagina '.$this->PageNo().'/{nb}',0,0,'C');
}
}

include("../fnc.php");
$id_gr=dec($idg);
$id_se=dec($sid);

$pdf=new PDF('L','mm','Letter');
$pdf->SetMargins(10,10,10);
$pdf->SetFillColor(255,255,255);
$pdf->AddPage();
$pdf->Encabezado($nombre_colegio,"CONTROL DE TAREAS");

$pdf->Ln(10);
$pdf->SetFont('Arial','',12);

$qgrado=mysql_query("select grados.grado, niveles.nivel, jornadas.jornada
                     from grados inner join niveles ON niveles.id = grados.nivel
                     inner join jornadas ON jornadas.id = grados.jornada
                     where grados.id = '$id_gr'");
                     
$igrado=mysql_fetch_array($qgrado);

$pdf->Cell(0,5,"PROFESOR: ____________________________________________     MATERIA: __________________________________________  ",0,1,"R");
$pdf->Ln();
$pdf->Cell(0,5,"GRADO:".$igrado[grado]." ".$igrado[nivel]."               AŅO: ".get_ciclo_activo(),0,1,"L");
$pdf->Ln(-5);
$pdf->Cell(0,5,"BIMESTRE: ____________________  ",0,1,"R");

$columna[0]=10;
$columna[1]=21;
$columna[2]=85;

$pdf->SetStyle("B",true);
$pdf->Cell($columna[0],5,"No.",1,0);
$pdf->Cell($columna[1],5,"CARNET",1,0);
$pdf->Cell($columna[2],5,"NOMBRE(S) DEL ALUMNO",1,0);
for($i=1;$i<=10;$i++){
  $pdf->cell(7,5,"$i",1,0,"C");
}
$pdf->Cell(20,5,"TOTAL",1,0,"C");
$pdf->Cell(50,5,"OBSERVACIONES",1,1,"C");
$pdf->SetStyle("B",false);
$qalumnos=mysql_query("select *
                       from alumnos
                       where 
                       grado_estudio = '$id_gr'
                       and seccion = '$id_se'
                       and year_estudio = '$df_year_actual'
                       order by apellido, nombre");

$j=0;
while($ialumno=mysql_fetch_array($qalumnos)){
 $j++;
 $pdf->Cell($columna[0],5,$j,1,0);
 $pdf->Cell($columna[1],5,$ialumno[carnet],1,0);
 $pdf->Cell($columna[2],5,$ialumno[apellido].", ".$ialumno[nombre],1,0,1);
 for($i=1;$i<=10;$i++){
   $pdf->cell(7,5,"",1,0,"C",1);
 }
 $pdf->Cell(20,5,"",1,0,"C",1);
 $pdf->Cell(50,5,"",1,1,"C",1);
}
$pdf->Ln(2);
$pdf->Cell(30,5,"FECHA",1,0,"C");
$pdf->Cell(176,5,"CONTENIDO O EXAMEN CORTO",1,0,"C");
$pdf->Cell(50,5,"FECHA DE ENTREGA",1,1,"C");
for($i=1;$i<=10;$i++){
$pdf->Cell(30,5,"",1,0,"C");
$pdf->Cell(176,5,"",1,0,"C");
$pdf->Cell(50,5,"",1,1);
}


//$pdf->Output("control_zonas.pdf","D");
$pdf->Output();
exit();
?>
